<!DOCTYPE html>
<html>
<head>
    <meta charset="<?php bloginfo('chartset'); ?>" />
    <title><?php
   /*
		* Print the <title> tag based on what is being viewed.
	  */
	global $page, $paged;

	wp_title( '|', true, 'right' );

	// Add the blog name.
	bloginfo( 'name' );

	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";
		
		?></title>
    <link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>">
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>  
    <script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/jquery.cycle.all.js"></script>  

<!--Remy Sharp's shim helps IE versions below 9 apply css to HTML5 elements.-->
<!--[if lt IE 9]>
<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->

<script type="text/javascript">
$(document).ready(function(){
	//cycle plugin
	$('.slideshow').cycle({
			fx: 'fade' 
	});  
}); 
</script>

</head>
<body>
<div id="wrapper">
<header>


		
		<!-- this is the logo -->	
	<a href="<?php echo get_option('home'); ?>/" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"
	rel="home" >
		    <img class="logo" src="<?php bloginfo('template_directory'); ?>/images/logo.png" />
	</a>

									 
	
		<!-- the h1 rendered off screen so we use only the logo image and maintain accessibility -->								 
				<h1><?php bloginfo( 'name' ); ?></h1>
				<h2><?php bloginfo( 'description' ); ?></h2>
				
				
        <div id="utilities">
						
						<!-- facebook -->
						<iframe src="//www.facebook.com/plugins/like.php?href=http%3A%2F%2Fwww.headstrongforlife.org&amp;send=false&amp;layout=standard&amp;width=225&amp;show_faces=false&amp;action=like&amp;colorscheme=light&amp;font=arial&amp;height=35" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:225px; height:27px;" allowTransparency="true"></iframe>
						
						<!-- true is the default gets searchform.php or delivers generic form -->
						<?php get_search_form('true'); ?>
						
						<!--<input type="text" />-->
						<p id="telephone">&#x0260E; (360) 220-1422</p>
		</div><!-- /utilities -->
				
				
        <nav>
						<!-- this creates a ul called menu-main-menu -->
	    <?php $defaults = array (
		'menu_id' => 'menu-main-menu'
	    ); ?>
	    <?php wp_nav_menu($defaults); ?>

         </nav><!-- end nav -->
				 
				 			 
</header><!-- end header -->

<!-- end header.php -->
