<?php get_header(); ?>
<?php get_sidebar( 'primary' ); ?>

<!-- page.php : default template for all pages EXCEPT home.php/homepage and index.php/newspage -->

    <div class="content">
        <h2><?php wp_title('');  ?></h2>
        
        <!-- Diffrent this time! It's the loop wrapped in an if/else statement -->
<!-- This is so that IF our search yields results, the loop will execute -->
<!-- but if not, we can just get a message that nothing was found, and get a search bar -->

<?php if (have_posts()) : ?>
<?php while(have_posts()) : the_post() ?>
	
<div class="post">	
<a id="title" href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
<br />
<small>
<?php the_category(); ?>
<?php the_tags(); ?> | 
<?php //the_id(); ?>
<?php the_time('F jS, Y') ?>
 | by <?php the_author() ?>
</small>
<br />

<?php the_content();  ?>
</div>
<?php endwhile; ?>
<?php else : ?>

		No posts found. Try a different search?
		<?php get_search_form(); ?>

<?php endif; ?>
        
    </div><!-- end content/middle column -->

<?php get_sidebar( 'secondary' ); ?>
<?php get_footer(); ?>

